> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notes

> Get Appointment Notes

Get Appointment Notes

```http theme={null}
GET https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="appointmentId" type="string" required>
  Appointment ID
</ParamField>

## Query parameters

<ParamField query="limit" type="number" required default="10">
  Limit of notes to fetch
</ParamField>

<ParamField query="offset" type="number" required default="0">
  Offset of notes to fetch
</ParamField>

## Respuestas

<Accordion title="200 - Successful response">
  <ResponseField name="notes" type="object[]">
    <Expandable title="cada item">
      <ResponseField name="id" type="string" default="HGPcayliwcdoUFzvbTok" />

      <ResponseField name="body" type="string" default="lorem ipsum" />

      <ResponseField name="userId" type="string" default="TUcmRxWrjqzJS8EjkxNK" />

      <ResponseField name="dateAdded" type="string" default="2021-07-08T12:02:11.285Z" />

      <ResponseField name="contactId" type="string" default="TUcmRxWrjqzJS8EjkxNK" />

      <ResponseField name="createdBy" type="object">
        <Expandable title="propiedades">
          <ResponseField name="id" type="string" default="TUcmRxWr" />

          <ResponseField name="name" type="string" default="John Doe" />
        </Expandable>
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="hasMore" type="boolean" default="True" />

  ```json theme={null}
  {
    "notes": [
      {
        "id": "HGPcayliwcdoUFzvbTok",
        "body": "lorem ipsum",
        "userId": "TUcmRxWrjqzJS8EjkxNK",
        "dateAdded": "2021-07-08T12:02:11.285Z",
        "contactId": "TUcmRxWrjqzJS8EjkxNK",
        "createdBy": {
          "id": "TUcmRxWr",
          "name": "John Doe"
        }
      }
    ],
    "hasMore": true
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/calendars/appointments/YOUR_appointmentId/notes');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
